Description

If I understand the system correctly, then each template consists of different job types that are selected based on certain conditions
expressed for each job type. Most of the conditions for the job types that we use atm are of the form:

"conditions": [                                                      
    "variant", "nightly"                                             
] 

I just tried to create a distribution that is of the following form:

{
    "name":      "monitoring-experiments",

    "variables": {

        "bla-name":       "${distribution-name}",

        "toolkit.volume": "/tmp/",
        "variant":        "nightly",
        "toolkit.dir":    "${toolkit.volume}/${variant}/",

My naive assumption is that specifying the variable variant would be sufficient to trigger the condition in the templates. However, it is
not. It seems that by some mechanism only the distribution name is matched against the specified condition. As a consequence, this
results in an empty distribution without any error message.

So there are two aspects of this:
#. How is the project name matched against a condition on something called "variant"?
#. Please issue errors in case no job is generated because no template matches.

Associated revisions
Revision 5b843dde - 02/18/2015 01:38 AM - J. Moringen

Removed variant and distribution handling in src/**/*.lisp

fixes #2175
fixes #1915

    -  New variable :disable-ochestration-jobs controls whether orchestration
  jobs are generated.

    -  Removed all :variant and :distribution[s] variable access. These are
  no longer necessary.

    -  src/project/classes-spec.lisp (project-spec): added superclass
  `parented-mixin'
  (instantiate version-spec): removed variant stuff

    -  src/commandline-interface/main.lisp (locate-projects): record the
  distribution which requested a project version
  (load-projects/versioned): install responsible distribution as parent
  of project
  (tag-project-versions): removed; no longer needed
  (configure-buildflow-job): only trigger prepare/finish jobs when they
  exist
  (configure-jobs): allow configuring names of orchestration jobs; only
  generate orchestration jobs when there names are defined
  (configure-distribution): only generate orchestration jobs if
  :disable-ochestration-jobs is not defined
  (main): do not call `tag-project-versions'

History
#1 - 10/30/2014 12:50 PM - S. Meyer zu Borgsen

The bug is still present in 0.3.
If you specify neither "nightly" nor "NUMBER" you get no jobs without any warning/error.
If you specify something like "-nightly-NUMBER" each job gets build twice with the buildflow.

#2 - 02/17/2015 07:22 PM - J. Moringen
- Category set to Processing Model
- Target version changed from 0.2 to 0.4

#3 - 02/18/2015 03:01 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5b843dde3bcc8745210e4049f017f73ee094410d.
